Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007424OCamltypingpublic2016-11-29 16:442016-12-10 03:40
Reporterstedolan 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.04.0 
Target VersionFixed in Version4.05.0 +dev/beta1/beta2/beta3/rc1 
Summary0007424: Typechecker diverges on a stupid program
DescriptionThe following strange program causes the typechecker to loop infinitely:

    type 'a b = B of 'a b b [@@unboxed]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016948)
garrigue (manager)
2016-12-10 03:40

Fixed by commit 2608a18.
This was not a divergence, just the "fuel" given to the function was much too large.
Could also try to find a better termination criterion.

- Issue History
Date Modified Username Field Change
2016-11-29 16:44 stedolan New Issue
2016-12-10 03:40 garrigue Note Added: 0016948
2016-12-10 03:40 garrigue Status new => resolved
2016-12-10 03:40 garrigue Fixed in Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2016-12-10 03:40 garrigue Resolution open => fixed
2016-12-10 03:40 garrigue Assigned To => garrigue
2017-02-23 16:45 doligez Category OCaml typing => typing


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker